STG-POP(1)

NAME
stg-pop - Pop one or more patches from the stack

SYNOPSIS

stg pop [options] [--] [<patch1>] [<patch2>] [<patch3>..<patch4>]

DESCRIPTION
Pop the topmost patch or a range of patches from the stack. The command fails if there are conflicts or local changes (and --keep was not specified).

A series of pop and push operations are performed so that only the patches passed on the command line are popped from the stack. Some of the push operations may fail because of conflicts ("stg undo" would revert the last push operation).

OPTIONS

-a, --all
    Pop all the applied patches.

-n NUMBER, --number NUMBER
    Pop the specified number of patches.

    With a negative number, pop all but that many patches.

-k, --keep
    Keep the local changes.

STGIT
Part of the StGit suite - see stg(1)